<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: File List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('files.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all documented files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_d422163b96683743ed3963d4aac17747.html" target="_self">app</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span id="img_0_0_" class="iconfopen" onclick="toggleFolder('0_0_')">&#160;</span><a class="el" href="dir_f79d8da276c0ae89bf39860e1e94afa0.html" target="_self">App</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_app_8h_source.html"><span class="icondoc"></span></a><b>App.h</b></td><td class="desc"></td></tr>
<tr id="row_0_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_1_" class="arrow" onclick="toggleFolder('0_1_')">&#9660;</span><span id="img_0_1_" class="iconfopen" onclick="toggleFolder('0_1_')">&#160;</span><a class="el" href="dir_161740fb8b86334a586a3e266d14a5bf.html" target="_self">Library</a></td><td class="desc"></td></tr>
<tr id="row_0_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_library_8h_source.html"><span class="icondoc"></span></a><b>Library.h</b></td><td class="desc"></td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_2_" class="arrow" onclick="toggleFolder('0_2_')">&#9660;</span><span id="img_0_2_" class="iconfopen" onclick="toggleFolder('0_2_')">&#160;</span><a class="el" href="dir_118300dbe8b1a654698780b835e8a200.html" target="_self">Settings</a></td><td class="desc"></td></tr>
<tr id="row_0_2_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_settings_8h_source.html"><span class="icondoc"></span></a><b>Settings.h</b></td><td class="desc"></td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span id="img_1_" class="iconfopen" onclick="toggleFolder('1_')">&#160;</span><a class="el" href="dir_00ae9869f82e985780277dc684d7236c.html" target="_self">auth</a></td><td class="desc"></td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span id="img_1_0_" class="iconfopen" onclick="toggleFolder('1_0_')">&#160;</span><a class="el" href="dir_7f2cdd9ed2cc51e662a2667753069251.html" target="_self">OAuth</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_o_auth_8h_source.html"><span class="icondoc"></span></a><b>OAuth.h</b></td><td class="desc"></td></tr>
<tr id="row_1_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_1_" class="arrow" onclick="toggleFolder('1_1_')">&#9660;</span><span id="img_1_1_" class="iconfopen" onclick="toggleFolder('1_1_')">&#160;</span><a class="el" href="dir_d56a259c7af5e855decb82b8b9ef64c4.html" target="_self">OAuthId</a></td><td class="desc"></td></tr>
<tr id="row_1_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_o_auth_id_8h_source.html"><span class="icondoc"></span></a><b>OAuthId.h</b></td><td class="desc"></td></tr>
<tr id="row_2_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_2_" class="arrow" onclick="toggleFolder('2_')">&#9660;</span><span id="img_2_" class="iconfopen" onclick="toggleFolder('2_')">&#160;</span><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html" target="_self">gui</a></td><td class="desc"></td></tr>
<tr id="row_2_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_0_" class="arrow" onclick="toggleFolder('2_0_')">&#9660;</span><span id="img_2_0_" class="iconfopen" onclick="toggleFolder('2_0_')">&#160;</span><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html" target="_self">dialogs</a></td><td class="desc"></td></tr>
<tr id="row_2_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_0_" class="arrow" onclick="toggleFolder('2_0_0_')">&#9660;</span><span id="img_2_0_0_" class="iconfopen" onclick="toggleFolder('2_0_0_')">&#160;</span><a class="el" href="dir_79c8159beee59ad050d8b78344e075d7.html" target="_self">AdminDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_admin_dialog_8h_source.html"><span class="icondoc"></span></a><b>AdminDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_1_" class="arrow" onclick="toggleFolder('2_0_1_')">&#9660;</span><span id="img_2_0_1_" class="iconfopen" onclick="toggleFolder('2_0_1_')">&#160;</span><a class="el" href="dir_4d36a66b9383b026078384920cebcce7.html" target="_self">BookAdderDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_1_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_book_adder_dialog_8h_source.html"><span class="icondoc"></span></a><b>BookAdderDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_2_" class="arrow" onclick="toggleFolder('2_0_2_')">&#9660;</span><span id="img_2_0_2_" class="iconfopen" onclick="toggleFolder('2_0_2_')">&#160;</span><a class="el" href="dir_63022fb9c89780fda465f1962f3dc8b0.html" target="_self">BookDetailsDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_2_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_book_details_dialog_8h_source.html"><span class="icondoc"></span></a><b>BookDetailsDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_3_" class="arrow" onclick="toggleFolder('2_0_3_')">&#9660;</span><span id="img_2_0_3_" class="iconfopen" onclick="toggleFolder('2_0_3_')">&#160;</span><a class="el" href="dir_a0cd57829ca1e04be8784d2a9bec0105.html" target="_self">BookManagerDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_3_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_book_manager_dialog_8h_source.html"><span class="icondoc"></span></a><b>BookManagerDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_4_" class="arrow" onclick="toggleFolder('2_0_4_')">&#9660;</span><span id="img_2_0_4_" class="iconfopen" onclick="toggleFolder('2_0_4_')">&#160;</span><a class="el" href="dir_b29cb6d97a3da5ba604c2ad34cf7802e.html" target="_self">LoginDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_4_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_login_dialog_8h_source.html"><span class="icondoc"></span></a><b>LoginDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_5_" class="arrow" onclick="toggleFolder('2_0_5_')">&#9660;</span><span id="img_2_0_5_" class="iconfopen" onclick="toggleFolder('2_0_5_')">&#160;</span><a class="el" href="dir_5281c5bdb61acb986f3fd325b63a6709.html" target="_self">SignInDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_5_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_sign_in_dialog_8h_source.html"><span class="icondoc"></span></a><b>SignInDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_6_" class="arrow" onclick="toggleFolder('2_0_6_')">&#9660;</span><span id="img_2_0_6_" class="iconfopen" onclick="toggleFolder('2_0_6_')">&#160;</span><a class="el" href="dir_9b7f3bef2dba50d9082512294a29138a.html" target="_self">SignUpDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_6_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_sign_up_dialog_8h_source.html"><span class="icondoc"></span></a><b>SignUpDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_7_" class="arrow" onclick="toggleFolder('2_0_7_')">&#9660;</span><span id="img_2_0_7_" class="iconfopen" onclick="toggleFolder('2_0_7_')">&#160;</span><a class="el" href="dir_7e7290d88763b1825907181a5a62ffcc.html" target="_self">UserAdderDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_7_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_adder_dialog_8h_source.html"><span class="icondoc"></span></a><b>UserAdderDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_8_" class="arrow" onclick="toggleFolder('2_0_8_')">&#9660;</span><span id="img_2_0_8_" class="iconfopen" onclick="toggleFolder('2_0_8_')">&#160;</span><a class="el" href="dir_1cedd224851249b3f82cd2616ec60f85.html" target="_self">UserDetailsDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_8_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_details_dialog_8h_source.html"><span class="icondoc"></span></a><b>UserDetailsDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_9_" class="arrow" onclick="toggleFolder('2_0_9_')">&#9660;</span><span id="img_2_0_9_" class="iconfopen" onclick="toggleFolder('2_0_9_')">&#160;</span><a class="el" href="dir_a983d9c597fd818a818a1f2184da3b70.html" target="_self">UserDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_9_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_dialog_8h_source.html"><span class="icondoc"></span></a><b>UserDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_0_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_0_10_" class="arrow" onclick="toggleFolder('2_0_10_')">&#9660;</span><span id="img_2_0_10_" class="iconfopen" onclick="toggleFolder('2_0_10_')">&#160;</span><a class="el" href="dir_a78899d006fde375f4226ec931e59b31.html" target="_self">UserEditorDialog</a></td><td class="desc"></td></tr>
<tr id="row_2_0_10_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_editor_dialog_8h_source.html"><span class="icondoc"></span></a><b>UserEditorDialog.h</b></td><td class="desc"></td></tr>
<tr id="row_2_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_1_" class="arrow" onclick="toggleFolder('2_1_')">&#9660;</span><span id="img_2_1_" class="iconfopen" onclick="toggleFolder('2_1_')">&#160;</span><a class="el" href="dir_79bdda8acd569632ada2e057f706fd29.html" target="_self">Gui</a></td><td class="desc"></td></tr>
<tr id="row_2_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_gui_8h_source.html"><span class="icondoc"></span></a><b>Gui.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_2_2_" class="arrow" onclick="toggleFolder('2_2_')">&#9660;</span><span id="img_2_2_" class="iconfopen" onclick="toggleFolder('2_2_')">&#160;</span><a class="el" href="dir_3c1d2ce32bc4ecd50a176ae39486df30.html" target="_self">widgets</a></td><td class="desc"></td></tr>
<tr id="row_2_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_0_" class="arrow" onclick="toggleFolder('2_2_0_')">&#9660;</span><span id="img_2_2_0_" class="iconfopen" onclick="toggleFolder('2_2_0_')">&#160;</span><a class="el" href="dir_89b188cf02ac42967642a01ecd1fddae.html" target="_self">AdminBooksLibraryManager</a></td><td class="desc"></td></tr>
<tr id="row_2_2_0_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_admin_books_library_manager_8h_source.html"><span class="icondoc"></span></a><b>AdminBooksLibraryManager.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_1_" class="arrow" onclick="toggleFolder('2_2_1_')">&#9660;</span><span id="img_2_2_1_" class="iconfopen" onclick="toggleFolder('2_2_1_')">&#160;</span><a class="el" href="dir_1380315e73d1ca5c0bd556fd29fd6d06.html" target="_self">AdminLibraryManager</a></td><td class="desc"></td></tr>
<tr id="row_2_2_1_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_admin_library_manager_8h_source.html"><span class="icondoc"></span></a><b>AdminLibraryManager.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_2_" class="arrow" onclick="toggleFolder('2_2_2_')">&#9660;</span><span id="img_2_2_2_" class="iconfopen" onclick="toggleFolder('2_2_2_')">&#160;</span><a class="el" href="dir_8a5e938bbe21ee7dd8e974d8db388539.html" target="_self">AdminUsersLibraryManager</a></td><td class="desc"></td></tr>
<tr id="row_2_2_2_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_admin_users_library_manager_8h_source.html"><span class="icondoc"></span></a><b>AdminUsersLibraryManager.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_3_" class="arrow" onclick="toggleFolder('2_2_3_')">&#9660;</span><span id="img_2_2_3_" class="iconfopen" onclick="toggleFolder('2_2_3_')">&#160;</span><a class="el" href="dir_e4c9feefc0f4baaf29936b3fa2f4aca5.html" target="_self">InlineLabel</a></td><td class="desc"></td></tr>
<tr id="row_2_2_3_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_inline_label_8h_source.html"><span class="icondoc"></span></a><b>InlineLabel.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_4_" class="arrow" onclick="toggleFolder('2_2_4_')">&#9660;</span><span id="img_2_2_4_" class="iconfopen" onclick="toggleFolder('2_2_4_')">&#160;</span><a class="el" href="dir_6d387b0dea2c6b8c0d241e7de360bda0.html" target="_self">UserBooksWidget</a></td><td class="desc"></td></tr>
<tr id="row_2_2_4_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_books_widget_8h_source.html"><span class="icondoc"></span></a><b>UserBooksWidget.h</b></td><td class="desc"></td></tr>
<tr id="row_2_2_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_2_2_5_" class="arrow" onclick="toggleFolder('2_2_5_')">&#9660;</span><span id="img_2_2_5_" class="iconfopen" onclick="toggleFolder('2_2_5_')">&#160;</span><a class="el" href="dir_89bdcc432f6ee6a8cebbfc65be96be28.html" target="_self">UserPreferencesWidget</a></td><td class="desc"></td></tr>
<tr id="row_2_2_5_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_preferences_widget_8h_source.html"><span class="icondoc"></span></a><b>UserPreferencesWidget.h</b></td><td class="desc"></td></tr>
<tr id="row_3_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span id="img_3_" class="iconfopen" onclick="toggleFolder('3_')">&#160;</span><a class="el" href="dir_1ae4179d5e953611aae20c997279e02c.html" target="_self">models</a></td><td class="desc"></td></tr>
<tr id="row_3_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_0_" class="arrow" onclick="toggleFolder('3_0_')">&#9660;</span><span id="img_3_0_" class="iconfopen" onclick="toggleFolder('3_0_')">&#160;</span><a class="el" href="dir_0f93ebbc2c9bc0dc7498c103fed792b8.html" target="_self">Article</a></td><td class="desc"></td></tr>
<tr id="row_3_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_0_0_" class="arrow" onclick="toggleFolder('3_0_0_')">&#9660;</span><span id="img_3_0_0_" class="iconfopen" onclick="toggleFolder('3_0_0_')">&#160;</span><a class="el" href="dir_12c7d6af7ee3b1217d99ed0e5fed6c0f.html" target="_self">Book</a></td><td class="desc"></td></tr>
<tr id="row_3_0_0_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_book_8h_source.html"><span class="icondoc"></span></a><b>Book.h</b></td><td class="desc"></td></tr>
<tr id="row_3_0_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_0_1_" class="arrow" onclick="toggleFolder('3_0_1_')">&#9660;</span><span id="img_3_0_1_" class="iconfopen" onclick="toggleFolder('3_0_1_')">&#160;</span><a class="el" href="dir_2638a642acea35fb17edc9270455676f.html" target="_self">Item</a></td><td class="desc"></td></tr>
<tr id="row_3_0_1_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_item_8h_source.html"><span class="icondoc"></span></a><b>Item.h</b></td><td class="desc"></td></tr>
<tr id="row_3_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_1_" class="arrow" onclick="toggleFolder('3_1_')">&#9660;</span><span id="img_3_1_" class="iconfopen" onclick="toggleFolder('3_1_')">&#160;</span><a class="el" href="dir_700c5bf6ef75ee8e3de358ef7f4ea2a6.html" target="_self">Database</a></td><td class="desc"></td></tr>
<tr id="row_3_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_database_8h_source.html"><span class="icondoc"></span></a><b>Database.h</b></td><td class="desc"></td></tr>
<tr id="row_3_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_2_" class="arrow" onclick="toggleFolder('3_2_')">&#9660;</span><span id="img_3_2_" class="iconfopen" onclick="toggleFolder('3_2_')">&#160;</span><a class="el" href="dir_34f7514774f7ab8415d66ae1b257c12f.html" target="_self">People</a></td><td class="desc"></td></tr>
<tr id="row_3_2_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_2_0_" class="arrow" onclick="toggleFolder('3_2_0_')">&#9660;</span><span id="img_3_2_0_" class="iconfopen" onclick="toggleFolder('3_2_0_')">&#160;</span><a class="el" href="dir_c945351df796bb3eadd18cdfd34c9d71.html" target="_self">Admin</a></td><td class="desc"></td></tr>
<tr id="row_3_2_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_admin_8h_source.html"><span class="icondoc"></span></a><b>Admin.h</b></td><td class="desc"></td></tr>
<tr id="row_3_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_2_1_" class="arrow" onclick="toggleFolder('3_2_1_')">&#9660;</span><span id="img_3_2_1_" class="iconfopen" onclick="toggleFolder('3_2_1_')">&#160;</span><a class="el" href="dir_a221a5fa5e2518dd9b41b6d6d1259470.html" target="_self">Person</a></td><td class="desc"></td></tr>
<tr id="row_3_2_1_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_person_8h_source.html"><span class="icondoc"></span></a><b>Person.h</b></td><td class="desc"></td></tr>
<tr id="row_3_2_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_3_2_2_" class="arrow" onclick="toggleFolder('3_2_2_')">&#9660;</span><span id="img_3_2_2_" class="iconfopen" onclick="toggleFolder('3_2_2_')">&#160;</span><a class="el" href="dir_b7750155f0acaeb7a6660d535a8019ac.html" target="_self">User</a></td><td class="desc"></td></tr>
<tr id="row_3_2_2_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><a href="_user_8h_source.html"><span class="icondoc"></span></a><b>User.h</b></td><td class="desc"></td></tr>
<tr id="row_4_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_4_" class="arrow" onclick="toggleFolder('4_')">&#9660;</span><span id="img_4_" class="iconfopen" onclick="toggleFolder('4_')">&#160;</span><a class="el" href="dir_d7ca51e70b82f7aa7b8306326f8020c9.html" target="_self">streams</a></td><td class="desc"></td></tr>
<tr id="row_4_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_4_0_" class="arrow" onclick="toggleFolder('4_0_')">&#9660;</span><span id="img_4_0_" class="iconfopen" onclick="toggleFolder('4_0_')">&#160;</span><a class="el" href="dir_5491bf14cc2d8d56ebc0a0be74dbcea9.html" target="_self">IOStream</a></td><td class="desc"></td></tr>
<tr id="row_4_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_i_o_stream_8h_source.html"><span class="icondoc"></span></a><b>IOStream.h</b></td><td class="desc"></td></tr>
<tr id="row_5_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span id="img_5_" class="iconfopen" onclick="toggleFolder('5_')">&#160;</span><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html" target="_self">tests</a></td><td class="desc"></td></tr>
<tr id="row_5_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="books_8h_source.html"><span class="icondoc"></span></a><b>books.h</b></td><td class="desc"></td></tr>
<tr id="row_5_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="library_8h_source.html"><span class="icondoc"></span></a><b>library.h</b></td><td class="desc"></td></tr>
<tr id="row_5_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="oauth_8h_source.html"><span class="icondoc"></span></a><b>oauth.h</b></td><td class="desc"></td></tr>
<tr id="row_5_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="smartpointers_8h_source.html"><span class="icondoc"></span></a><b>smartpointers.h</b></td><td class="desc"></td></tr>
<tr id="row_5_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="streams_8h_source.html"><span class="icondoc"></span></a><b>streams.h</b></td><td class="desc"></td></tr>
<tr id="row_5_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="users_8h_source.html"><span class="icondoc"></span></a><b>users.h</b></td><td class="desc"></td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_6_" class="arrow" onclick="toggleFolder('6_')">&#9660;</span><span id="img_6_" class="iconfopen" onclick="toggleFolder('6_')">&#160;</span><a class="el" href="dir_cbdb8362360e11eafe2fa3bc74cf0ffd.html" target="_self">utils</a></td><td class="desc"></td></tr>
<tr id="row_6_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_6_0_" class="arrow" onclick="toggleFolder('6_0_')">&#9660;</span><span id="img_6_0_" class="iconfopen" onclick="toggleFolder('6_0_')">&#160;</span><a class="el" href="dir_de5b01bbeed8dbfd3b66b9e69839af9f.html" target="_self">SmartPointer</a></td><td class="desc"></td></tr>
<tr id="row_6_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_reference_counter_8h_source.html"><span class="icondoc"></span></a><b>ReferenceCounter.h</b></td><td class="desc"></td></tr>
<tr id="row_6_0_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_smart_pointer_8h_source.html"><span class="icondoc"></span></a><b>SmartPointer.h</b></td><td class="desc"></td></tr>
<tr id="row_6_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_6_1_" class="arrow" onclick="toggleFolder('6_1_')">&#9660;</span><span id="img_6_1_" class="iconfopen" onclick="toggleFolder('6_1_')">&#160;</span><a class="el" href="dir_d958af7cb3e93cb3784acc0e37177880.html" target="_self">utils</a></td><td class="desc"></td></tr>
<tr id="row_6_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><a href="_utils_8h_source.html"><span class="icondoc"></span></a><b>Utils.h</b></td><td class="desc"></td></tr>
<tr id="row_6_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_demangle_8h_source.html"><span class="icondoc"></span></a><b>Demangle.h</b></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
